.vip-wrapper{
    width: 70%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 70px;
        opacity: 0;
    transform: translateY(10px);
    animation: fadeUp 0.4s ease forwards;
}

.vip-hero{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.vip-top{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
}

.vip-vyhody-wrapper{
    width: 50%;
    display: flex;
    align-items: center;
    gap: 20px;
    flex-direction: column;
    margin: 0;
}


.vip-vyhody-server-select {
    width: 220px;
    height: 40px;
    position: relative;
    cursor: pointer;
    border-radius: 0.5rem;
    font-size: 20px;
    text-align: center;
    margin-bottom: 10px;
}

.vip-vyhody-server-active {
   background: rgb(32, 32, 32, 0.7);
    padding: 10px;
    border-radius: 6px;
}

.vip-vyhody-server-dropdown {
    position: absolute;
    top: 110%;
    left: 0;
    width: 100%;
    display: flex;
    overflow: hidden;
    z-index: 100;
    flex-direction: column;
    gap: 5px;
    background: rgb(32, 32, 32);
    border-radius: 0 0 0.5rem 0.5rem;
    border: 1px solid rgb(131, 131, 131);
    max-height: 0;
    opacity: 0;
    transform: translateY(-6px);
    pointer-events: none;
    margin-top: 5px;
    transition:
        max-height 230ms ease,
        /* opacity 120ms ease, */
        transform 130ms ease;
}

.vip-vyhody-server-option {
    padding: 10px;
    transition: background 0.3s; 
    color: gray;
    font-weight: 800;
    font-size: 17px; 
}

.vip-vyhody-server-option:hover {
    background: #2e2e2e;
    color: white;
}

.vip-vyhody-server-option.active {
    display: none;
}

.vip-vyhody-server-select.open .vip-vyhody-server-active {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border: 1px solid rgb(131, 131, 131);
}

.vip-vyhody-server-select.open .vip-vyhody-server-dropdown {
    display: flex;
    max-height: 400px;
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.vip-vyhody-list{
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin: 0 auto;
}

.vip-vyhoda{
    position: relative;
    width: 100%;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
        background-color: var(--component-bg);
    border-radius: 0.4rem;
    font-size: 19px;
    transform: translateY(5px);
    animation: fadeUp 0.4s ease forwards;
}

.vip-aktivator-cena-wrapper{
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    height: fit-content;
}


.vip-aktivatorcena-title{
    flex: 0 0 100%;
    width: 100%;
    height: 40px;
    text-align: left;
    font-size: 1.5rem;
    font-weight: 800;
    border-bottom: 1px solid var(--main-orange);
}

.vip-aktivator{
    width: 100%;
    height: 100%;
    padding: 10px;
}

.vip-aktivator-body{
    margin: 0 auto;
    width: calc(60% + 30px);
        height: 130px;
    background-color: var(--component-bg);
    border-radius: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 20px;
    height: fit-content;
    gap: 10px;
    margin-top: 30px;
}

.vip-aktivator-input{
    width: 150px;
    height: 45px;
    background-color: var(--button-background);
    border-radius: 0.3rem;
    padding: 10px;
    font-size: 1.2rem;
    font-weight: 800;
    text-align: center;
}

.vip-aktivator-button{
    padding: 10px 20px;
    height: 45px;
    background-color: var(--button-background);
    border-radius: 0.5rem;
    font-weight: 600;
    font-size: 1.2rem;
}

.vip-aktivator-button:hover{
    background-color: rgb(255, 137, 27);
    transform: scale(1.02);
    transition: all 0.2s ease;
    cursor: pointer;
}

.vip-aktivator-status{
    width: 100%;
    height: fit-content;
    text-align: left;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    font-size: 1.2rem;
    font-weight: 600;
    margin-top: 10px;
}

.vip-aktivator-status > div{
    display: flex;
    align-items: center;
    width: fit-content;
    height: fit-content;
}

.vip-aktivator-status > div > p{
    margin: 0;
}

.vip-status-active{
    color: green;
    padding: 0 8px;
}
.vip-status-inactive{
    color: rgb(185, 2, 2);
    padding: 0 8px;
}
.vip-expire-date{
    color:rgb(97, 97, 250);
    padding: 0 8px;
}


.vip-cenik{
    width: 100%;
    height: CALC(100% - 150px);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 10px;
        flex-wrap: wrap;
}

.vip-cena{
    width: 20%;
    min-width: 125px;
    height: 150px;
    background-color: var(--component-bg);
    border-radius: 0.4rem;
    display: flex;
    flex-direction: column;
    padding: 10px;
    max-height: 125px;
}

.vip-cena-top{
    width: 100%;
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: 600;
    border-bottom: 1px solid rgba(211, 106, 8, 0.5);
}

.vip-cena-bottom{
    width: 100%;
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.4rem;
    font-weight: 800;
    color: gray;
}

.vip-cena:hover .vip-cena-bottom{
    color: white;
}


.vip-middle{
    width: 100%;
    display: flex;
    justify-content: center;
}

.zajem-modal{
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
}

.zajem-modal.modalOpen {
    display: block;
    background-color: rgb(0, 0, 0, 0.5);
    z-index: 200;
}

.modalOpen .zajem-modal-content {
    animation: modalPopUp 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.zajem-modal-content{
    width: 35%;
    min-width: 400px;
    height: fit-content;
    padding: 70px 20px;
    background-color: rgb(27, 27, 27, 0.5);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 0.5rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.zajem-modal-top{
    font-size: 23px;
    font-weight: 600;
    margin-bottom: 40px;
    color: rgb(199, 199, 199);
}

.zajem-modal-close{
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 2rem;
    font-weight: 600;
    cursor: pointer;
}

.vip-zajem-button{
    width: 150px;
    height: 50px;
    background-color: var(--main-orange);
    color: var(--text-color);
    border-radius: 0.5rem;
    text-align: center;
    line-height: 50px;
    font-size: 1.2rem;
    font-weight: 600;
    transition: all 0.2s ease;
}

.vip-zajem-button:hover{
    background-color: rgb(255, 137, 27);
    transform: scale(1.02);
    cursor: pointer;
}

.zajem-modal-kotakt {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-direction: row;
    width: fit-content;
    height: fit-content;
    padding: 10px;
    border-radius: 0.5rem;

    position: relative;
    overflow: hidden;

    background: linear-gradient(
        270deg,
        #ff004c,
        #ff7a00,
        #ffee00,
        #00ff6a,
        #00c3ff,
        #7a00ff,
        #ff004c
    );

    background-size: 400% 400%;
    animation: rainbowMove 8s linear infinite;

    transform-style: preserve-3d;
    transition: transform 0.1s ease;
    will-change: transform;
    transform-origin: center;
}

.zajem-modal-kotakt::before {
    content: "";
    position: absolute;
    inset: 1px;
    background: rgba(0, 0, 0, 0.35);
    border-radius: 0.45rem;
    z-index: 1;
}

.zajem-modal-kotakt > * {
    position: relative;
    z-index: 2;
}

.kontakt-info{
    padding: 0 10px 0 0;
}

.kontakt-pfp{
    width: 100px;
    height: 100px;
}

.kontakt-pfp img{
    width: 100px;
    height: 100px;
    border-radius: 0.5rem;
}

.kontakt-name{
    font-size: 24px;
    font-weight: 600;
    margin: 0;
}

.kontakt-steam,
.kontakt-discord{
    display: inline-block;
    cursor: pointer;
    padding-left: 10px;
}

.kontakt-steam svg,
.kontakt-discord svg{
    fill: rgb(218, 218, 218);
    width: 45px;
    height: 45px;
}

.kontakt-steam:hover svg,
.kontakt-discord:hover svg{
    fill: rgb(255, 255, 255);
}

.kontakt-tilt-wrapper{
    perspective: 1000px;
}

.kontakt-pfp img{
    transform: translateZ(20px);
}

.kontakt-name{
    transform: translateZ(15px);
}

@keyframes rainbowMove {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

.component-hover:hover{
    transform: scale(1.02);
    background-color: var(--component-hover-bg) !important;
    transition: transform 0.2s ease;
}

.vip-bottom{
    width: 100%;
    height: fit-content;
    padding: 10px;
}

.vip-info{
    font-size: 18px;
}

.vip-info p{
    margin: 0;
}

.vip-info h3{
    margin-top: 15px;
}



@media screen and (max-width: 1300px) {
  .vip-wrapper{
    width: 70%;
  }
.vip-vyhody-wrapper{
    width: 100%;
}
.vip-aktivator-cena-wrapper{
    width: 100%;
}
    
}



@media screen and (max-width: 910px) {
  .vip-wrapper{
    width: 90%;
  }
.vip-vyhody-wrapper{
    width: 100%;
}
.vip-aktivator-cena-wrapper{
    width: 100%;
}
      
}



